Package org.kapott.hbci.GV

# Class GVMultiUebSEPA

java.lang.Object
org.kapott.hbci.GV.HBCIJobImpl
org.kapott.hbci.GV.AbstractSEPAGV
org.kapott.hbci.GV.GVUebSEPA
org.kapott.hbci.GV.GVMultiUebSEPA

All Implemented Interfaces:
  `HBCIJob`

Direct Known Subclasses:
  `GVTermMultiUebSEPA`

public class GVMultiUebSEPA extends GVUebSEPA
Job-Implementierung fuer SEPA-Multi-Ueberweisungen.

## Field Summary

### Fields inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`ENDTOEND_ID_NOTPROVIDED, sepaParams`

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

## Constructor Summary

Constructors
Constructor
Description
`GVMultiUebSEPA(HBCIHandler handler)`
ct.
`GVMultiUebSEPA(HBCIHandler handler, String name)`
ct.
`GVMultiUebSEPA(HBCIHandler handler, String name, HBCIJobResultImpl jobResult)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`createSEPAFromParams()`
Erstellt die XML für diesen Job und schreibt diese in den _sepapain Parameter des Jobs
`String`
`getChallengeParam(String path)`
`static String`
`getLowlevelName()`
Liefert den Lowlevel-Namen des Jobs.
`String`
`getPainJobName()`
Referenzierter pain-Jobname.

### Methods inherited from class org.kapott.hbci.GV.GVUebSEPA

`getDefaultPainVersion, getPainType`

### Methods inherited from class org.kapott.hbci.GV.AbstractSEPAGV

`addConstraint, getLowlevelParam, getPainVersion, getSEPAGenerator, getSEPAMessageId, getSEPAParam, setLowlevelParam, setSEPAParam, verifyConstraints`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, extractResults, fillJobResult, fillJobResultFromTanJob, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, redo, redoAllowed, saveReturnValues, setExternalId, setIdx, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipped, tanApplied, twoDigitValueInList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GVMultiUebSEPA

public GVMultiUebSEPA(HBCIHandler handler)
ct.

Parameters:
  `handler` -

### GVMultiUebSEPA

public GVMultiUebSEPA(HBCIHandler handler, String name)
ct.

Parameters:
  `handler` -
  `name` -

### GVMultiUebSEPA

public GVMultiUebSEPA(HBCIHandler handler, String name, HBCIJobResultImpl jobResult)
ct.

Parameters:
  `handler` -
  `name` -
  `jobResult` -

## Method Details

### getLowlevelName

public static String getLowlevelName()
Liefert den Lowlevel-Namen des Jobs.

Returns:
  der Lowlevel-Namen des Jobs.

### getPainJobName

public String getPainJobName()
Description copied from class: `AbstractSEPAGV`
Referenzierter pain-Jobname. Bei vielen Geschäftsvorfällen (z.B. Daueraufträgen) wird die pain der Einzeltransaktion verwendet.

Overrides:
  `getPainJobName` in class `AbstractSEPAGV`
Returns:
  Value
See Also:
  - `AbstractSEPAGV.getPainJobName()`

### getChallengeParam

public String getChallengeParam(String path)

Overrides:
  `getChallengeParam` in class `HBCIJobImpl`
See Also:
  - `HBCIJobImpl.getChallengeParam(java.lang.String)`

### createSEPAFromParams

protected void createSEPAFromParams()
Description copied from class: `AbstractSEPAGV`
Erstellt die XML für diesen Job und schreibt diese in den _sepapain Parameter des Jobs

Overrides:
  `createSEPAFromParams` in class `AbstractSEPAGV`